# Huiswerk
# Implement deze servo motor driver class inclusief een unit test

from 	machine	import	Pin, PWM

# Implemented:
# Servo(pin=27, min=0, max=100)
#    Servo.close()
#    Servo.goToMax(speed=100)
#    Servo.goToMin(speed=100)

# ========================== Servo ==============================

class Servo:

    # min and max in % of 1..2 mSec width, speed in %/sec
    def __init__(self, pin=27, min=0, max=100):
        ...
        
    
    def close(self):
        ...
        
        
    def goToMax(self, speed=100):
        ...
        
        
    def goToMin(self, speed=100):
        ...

# ========================== test ==============================

if __name__ == '__main__':
    
    def test():
        ...


    test()
    
# ============================= end =============================
